Installing the ruby2.0 package does not install the ruby2.0 but actually installs ruby1.9.3 instead.

Projet:Trisquel
Version:7.0
Composant:Misc
Catégorie:Rapporter un bogue
Priorité:normal
Attribué:Non assigné
Statut:active
Description

Title pretty much says it all. I've tried it on multiple machines. Synaptic shows that Ruby 2.0 is available. And you can install it, but doing so actually gives you 1.9.3 instead. I can't figure out why.

A little terminal output

http://pastebin.com/qbpu4XxU

Sam, 11/28/2015 - 10:29

You may wish to consider using a ruby package manager like rvm or rbenv
You can install different rubies and switch between them easily.
You might also want to consider trying 2.0+

Sample output from rvm:
21:59:48 Troll@menomore /home/Troll
$ rvm list

rvm rubies

ruby-1.8.7-p374 [ x86_64 ]
ruby-1.9.3-p125 [ x86_64 ]
ruby-1.9.3-p194 [ x86_64 ]
ruby-1.9.3-p448 [ x86_64 ]
ruby-2.0.0-p195 [ x86_64 ]
=* ruby-2.0.0-p247 [ x86_64 ]
ruby-2.0.0-p481 [ x86_64 ]
ruby-2.1.1 [ x86_64 ]
ruby-2.1.2 [ x86_64 ]

# => - current
# =* - current && default
# * - default

21:59:50 Troll@menomore /home/Troll
$ rvm use 2.0.0
Using /home/troll/.rvm/gems/ruby-2.0.0-p481

$ rvm use 2.1.1
Using /home/troll/.rvm/gems/ruby-2.1.1

$ rvm use 1.9.3
ruby-1.9.3-p547 is not installed.

$ rvm use 1.9.3-p448
Using /home/troll/.rvm/gems/ruby-1.9.3-p448

Get rvm at http://rvm.io/

Install with its famous 1 liner:

$ \curl -sSL https://get.rvm.io | bash -s stable

Sam, 11/28/2015 - 10:34

Have you tried following the way of installing ruby 2.1.0 by RVM?

Sam, 11/28/2015 - 10:40

If you really don't want to use RVM, then use

sudo apt-get install checkinstall

wget -c http://ftp.ruby-lang.org/pub/ruby/2.0/ruby-2.0.0-p0.tar.gz
tar -xzf ruby-2.0.0-p0.tar.gz
cd ruby-2.0.0-p0

./configure
make

sudo checkinstall -y \
--pkgversion 2.0.0-p0 \
--provides "ruby-interpreter"

checkinstall will package the source, making it easier to remove in the future
You'll then need to add the Ruby binaries to your path, by editing the env file:

sudo nano /etc/environment

add /usr/local/ruby/bin

PATH="/usr/local/ruby/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"

then run

source /etc/environment

to reload the file, and check your ruby version with

ruby -v

dim, 11/29/2015 - 04:57

Should I remove the local Ruby before doing this?